theo330

PMDG 747 needs to update Prepar3d

Recommended Posts

Just buy 747  for P3D v3

Trying to install and a pop-up came saying......

 

""......an outdated version of Prepar3d v3 has been detected.Before you can install this PMDG program you will need to update Prepar3d......""

 

i am sure i got p3d v3 and the .zip i have d/load is ""PMDG_747-400_QOTSII_P3D""

 

Any one got a clue here ? ?

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

28 minutes ago, theo330 said:

Any one got a clue here ? ?

What version of P3D do you have?

V3.[what number is here] ?

Full names on the forum, please - first and last. Additionally, please place your threads in the proper sub forums. This one is for the 744, so it should be in the 744 subforum. I have moved it to the proper location for you, but in the future, please keep this in mind.

Share this post


Link to post
Share on other sites
6 minutes ago, theo330 said:

iI have P3d v 3.1.3 . .  thanks

Full names in the PMDG forums please.  You need to update your P3D, even if you only update the P3D client your current version is too "old" for the QOTSII product.  I am pretty sure the P3D version requirement is clearly printed on the QOTSII product specification page.

Share this post


Link to post
Share on other sites

They said for v3 and v4,no special versions

 

 

""This is a Prepar3D v3 and Prepar3D v4 ONLY product.

This package is required to use any of the PMDG 747 series products.

You must have Prepar3D v3 of v4 or later to install this product.

This product requires a live connection to the internet for installation.

This product uses a full virtual cockpit and does not include 2D panels. (Some pop-up functions avail.)""

Share this post


Link to post
Share on other sites
59 minutes ago, theo330 said:

iI have P3d v 3.1.3 . .  thanks

You need 3.4 or later.

Simply update the client. It's free.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now